/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package HumanResMgmt.SkillAcquisition;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype description */
public class SkillLevelDesc {
    public void reserveFromTo() {
    }

    public boolean isQtyAvailableFromTo() {
        return false;
    }

    public Vector listSkilledOnesAtThisLevel() {
        return new Vector();
    }

    public Vector listManuProcessTemplateUses() {
        return new Vector();
    }

    private int rating;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private ManuMgmt.ProcessTemplate.ManuProcessTemplateDetail lnkUnnamed;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     * @clientRole must have, nice to have
     */
    private HumanResMgmt.PositionRequest.Job lnkUnnamed1;
}


